Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynch
Class FutureInvocationHandler

    java.lang.Object
      org.jboss.aop.proxy.Proxy
          org.jboss.aspects.asynch.FutureInvocationHandler

All Implemented Interfaces:
  org.jboss.aop.InstanceAdvised, InvocationHandler, org.jboss.aop.proxy.MethodMapped, Serializable, org.jboss.aop.instrument.Untransformable

public class FutureInvocationHandler
extends org.jboss.aop.proxy.Proxy
implements InvocationHandler, org.jboss.aop.instrument.Untransformable, Serializable

An invocation handler for the Future interface using dynamic proxies. It is an alternative to having generated proxies for use with EJB 3, avoiding client relying on javassist in the EJB 3 client proxies

Version:
  $Revision$
Author:
  Kabir Khan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.aop.proxy.Proxy
`guid, instanceAdvisor, interfaces, mixins`

Constructor Summary
`FutureInvocationHandler()`

Method Summary
`static Object` | `createFutureProxy(org.jboss.util.id.GUID guid, ClassLoader loader, Class[] interfaces)`
`Map` | `getMethodMap()`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`Object` | `writeReplace()` Override Proxy implementation so we get default behaviour.

Methods inherited from class org.jboss.aop.proxy.Proxy
`_dynamicInvoke, _getInstanceAdvisor, _setInstanceAdvisor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FutureInvocationHandler

    public FutureInvocationHandler()

Method Detail

### createFutureProxy

    public static Object createFutureProxy(org.jboss.util.id.GUID guid,
                                           ClassLoader loader,
                                           Class[] interfaces)
                                    throws Exception

  Throws:
    `Exception`

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Override Proxy implementation so we get default behaviour. Reason is to avoid client dependencies on javassist in EJB 3 asynchronous proxies

  Throws:
    `ObjectStreamException`

### getMethodMap

    public Map getMethodMap()

  Specified by:
    `getMethodMap` in interface `org.jboss.aop.proxy.MethodMapped`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.